<div class="header-wrapper">
  <mat-toolbar>
    <div>
      <button mat-icon-button class="nav-bar-menu-btn justify-content-center" (click)="sidenav.toggle()">
        <mat-icon>menu</mat-icon>
      </button>
    </div>
    <div class="label">ESTIMATOR</div>
    <div class="nav-group h-100 w-50 nav-bar-btn-hide">
      <button mat-button class="h-100 nav-btn" (click)="onNavigate('dashboard')">PROJECTS</button>
      <button mat-button class="h-100 nav-btn border-0" (click)="onNavigate('dashboard-statistic')">DASHBOARD</button>
      <button *ngIf="!guestFunctionality" class="h-100 nav-btn" mat-button
        (click)="onNavigate('members')">MEMBERS</button>
    </div>
    <div *ngIf="!profileLoaded" class="lds-dual-ring profile-and-notifications-adaptive"></div>
    <div *ngIf="profileLoaded" class="profile-group profile-and-notifications-adaptive">
      <img class="avatar avatar-and-profile-menu-hide" src="data:image/PNG;base64,{{user.image}}">
      <button mat-button class="avatar-and-profile-menu-hide"
        [matMenuTriggerFor]="profileActions">{{user.fullName}}</button>
      <button id="notificationsToggler" mat-button (click)="notificationsActiveSwitcher()">
        <mat-icon id="notificationsIcon" [matBadge]="notificationsCount" matBadgeColor="warn">
          notifications_none
        </mat-icon>
      </button>
      <mat-menu #profileActions="matMenu">
        <button mat-menu-item (click)="onProfileClick()">Profile</button>
        <button mat-menu-item (click)="onLogoutClick()">Logout</button>
      </mat-menu>
    </div>
  </mat-toolbar>

  <div *ngIf="notificationsListActive" (clickOutside)="hideNotifications($event)" class="n-core">
    <div class="n-body h6">
      <div class="p-3 pl-3 n-head">
        Notifications
      </div>
      <ul *ngIf="notifications.length" class="n-list pl-0 mb-0" id="n-scroll">
        <li *ngFor="let notification of notifications" class="pb-4 pl-3" [innerHTML]="notification.description | linkify">
        </li>
      </ul>
      <div *ngIf="!notifications.length" class="n-empty-container">
        Nothing to show
      </div>
    </div>
  </div>

  <mat-sidenav-container fxFlexFill>
    <mat-sidenav class="side-nav" color="primary" #sidenav mode="over" opened="false">
      <div class="w-100 d-flex flex-column">
        <div class="w-100 side-bar-avatar-containter">
          <img class="side-panel-avatar adaptive-parts-hide" src="data:image/PNG;base64,{{user.image}}">
        </div>
        <div class="side-panel-button-group">
          <a mat-button class="side-nav-btn side-nav-btn-border w-100" (click)="onNavigate('dashboard')">PROJECTS</a>
          <a mat-button class="side-nav-btn w-100" (click)="onNavigate('dashboard-statistic')">DASHBOARD</a>
          <a *ngIf="!guestFunctionality" class="side-nav-btn side-nav-btn-border w-100" mat-button
            (click)="onNavigate('members')">MEMBERS</a>
          <a mat-button class="side-nav-btn w-100 adaptive-parts-hide" (click)="onProfileClick()">PROFILE</a>
          <a mat-button class="side-nav-btn side-nav-btn-border w-100 adaptive-parts-hide"
            (click)="onLogoutClick()">LOGOUT</a>
        </div>
      </div>
    </mat-sidenav>
  </mat-sidenav-container>
</div>